Bug 150539 - pam broken on nfs mounted system when network is down
Summary: pam broken on nfs mounted system when network is down
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-08 02:48 UTC by Rob Garth
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 08:24:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rob Garth 2005-03-08 02:48:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
Bug 55193 shows issues with pam authentication when the network is
down. These fixes do work (bug 55193), if /usr is mounted locally. We
are running of a nfs mounted /usr, the pam modules are linked to
shared libraries in /usr, so if the network is down not even root can
login to the system. This is an issue for me, we cannot even log in to
see the issue with networking.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Down network (or start with not network cable) try to login
2. Login with local password, loging fails
    

Actual Results:  No one can login

Expected Results:  Local users should still be able to login

Additional info:

Comment 1 Tomas Mraz 2005-03-08 07:59:34 UTC
Could you please test which module makes the login fail for you?
Especially could you test with pam_console commented out?


Comment 2 Tomas Mraz 2005-05-16 18:39:54 UTC
This bug report is incomplete, no response from the reporter.


Comment 3 Rob Garth 2005-05-16 23:46:00 UTC
Here are the pam modules linked to libraries in /usr

pam_smbpass.so
pam_ldap.so
pam_krb5.so
pam_krb5afs.so
pam_console.so
pam_cracklib.so

Comment 4 Tomas Mraz 2005-05-17 08:24:03 UTC
Yeah I know that, however I need to know which exact module makes the login fail
for you.

These modules aren't part of the basic pam package and you cannot expect them to
work without network anyway:
pam_smbpass.so
pam_ldap.so
pam_krb5.so
pam_krb5afs.so

This module is used only on password change -> no problem with login:
pam_cracklib.so

This module was modified not to link to libraries in /usr in the Fedora
development - you can test it using the FC4Test3 release:
pam_console.so


Comment 5 Rob Garth 2005-05-18 00:03:11 UTC
Great. I will test fc4. I think it will fix the problem, as I expected local
logins to work wen the network was down.

Thankyou.


Note You need to log in before you can comment on or make changes to this bug.